Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Dec 2023 18:03:12 -0500

Dmitry Gutov [2023-12-14 23:32:01] wrote:
> On 14/12/2023 22:57, Stefan Monnier wrote:
>> But the bugs I recall went in the direction "user setting unexpectedly
>> affecting internal searches" rather than "let-binding unexpected
>> affecting user searches".
>> I must admit that I can't point to concrete examples of the kind of bugs
>> "I recall".
>
> You just pointed at one in company-dabbrev several messages ago.
> Nobody ever reported this, though, so I have to assume that "user settings"
> for case-fold-search are rare enough.

I suspect that buffer-local settings are indeed rare, and I'd
expect them to come from packages rather than from users.

I was instead thinking of cases where the global setting (more likely to
be set by the user) incorrectly affected a package's behavior.

        Stefan